# clients/tos_client.py
import tos
from aidso_geo.config import TOSConfig  # 从配置中读取参数

class TOSClient:
    def __init__(self):
        self.client = tos.TosClientV2(
            TOSConfig.TOSConfig.TOS_AK,
            TOSConfig.TOSConfig.TOS_SK,
            TOSConfig.TOSConfig.TOS_ENDPOINT,
            TOSConfig.TOSConfig.TOS_REGION,
            max_retry_count=3  # 客户端默认重试次数
        )
        self.bucket_name = TOSConfig.TOSConfig.TOS_BUCKET_NAME

    def get_client(self):
        return self.client

# 单例实例，全局使用
tos_client = TOSClient()


if __name__ == '__main__':
    print(TOSConfig.TOSConfig.TOS_AK)